com.jscape.filetransfer

## Class FileTransferRemoteSort.FileTransferRemoteComparator

- java.lang.Object
- - com.jscape.filetransfer.FileTransferRemoteSort.FileTransferRemoteComparator

- All Implemented Interfaces:
    java.util.Comparator
  Direct Known Subclasses:
    FileTransferRemoteSort.FileDateComparator, FileTransferRemoteSort.FileNameComparator, FileTransferRemoteSort.FileSizeComparator
  Enclosing class:
    FileTransferRemoteSort

      public abstract static class FileTransferRemoteSort.FileTransferRemoteComparator
      extends java.lang.Object
      implements java.util.Comparator

  This the base comparator class. Implements the ascendet getter and setter methos and equals methods too
  Author:
    Alvaro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferRemoteComparator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `compare(java.lang.Object o1, java.lang.Object o2)` compare.
    `boolean` | `equals(java.lang.Object o)`
    `boolean` | `getAscendent()` Gets the ascendet value.
    `int` | `hashCode()`
    `void` | `setAscendent(boolean ascendent)` Sets the ascendet indicator.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### FileTransferRemoteComparator

          public FileTransferRemoteComparator()

  - ### Method Detail

    - #### setAscendent

          public void setAscendent(boolean ascendent)

      Sets the ascendet indicator.
      Parameters:
        `ascendent` - The new indicator value

    - #### getAscendent

          public boolean getAscendent()

      Gets the ascendet value.
      Returns:
        The ascendent indicator

    - #### compare

          public abstract int compare(java.lang.Object o1,
                                      java.lang.Object o2)

      compare.
      Specified by:
        `compare` in interface `java.util.Comparator`
      Parameters:
        `o1` - Object
        `o2` - Object
      Returns:
        integer

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Comparator`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved